%define real_name Apache2-AuthCookieDBI

Summary:	Apache2::AuthCookieDBI - An AuthCookie module backed by a DBI database
Name:		perl-%{real_name}
Version:	2.03
Release: %mkrel 2
License:	LGPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Apache2/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl(Apache::DBI) >= 0.91
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Apache2::AuthCookieDBI is a module that subclasses Apache2::AuthCookie and is
designed to be directly used for authentication in a mod_perl server.

It is a ticket-issuing system that looks up username/passwords in a DBI
database using generic SQL and issues MD5-checksummed tickets valid for
a configurable time period.  Incoming requests with tickets are
checksummed and expire-time checked.


%prep
%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README eg *.txt *.sql
%{perl_vendorlib}/Apache2/AuthCookieDBI.pm
%{_mandir}/*/*



%changelog
* Thu Oct 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.03-2mdv2007.0
+ Revision: 73243
- import perl-Apache2-AuthCookieDBI-2.03-2mdk


* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.03-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL
- use mkrel

* Fri Jul 15 2005 Oden Eriksson <oeriksson@mandriva.com> 2.03-1mdk
- initial Mandriva package

